apiVersion: v1
items:
- apiVersion: jaegertracing.io/v1
  kind: Jaeger
  metadata:
    annotations:
      kubectl.kubernetes.io/last-applied-configuration: |
        {"apiVersion":"jaegertracing.io/v1","kind":"Jaeger","metadata":{"annotations":{"maistra.io/mesh-generation":"1.1.0-12.el8-2"},"labels":{"app.kubernetes.io/component":"tracing","app.kubernetes.io/instance":"istio-system","app.kubernetes.io/managed-by":"maistra-istio-operator","app.kubernetes.io/name":"tracing","app.kubernetes.io/part-of":"istio","app.kubernetes.io/version":"1.1.0-12.el8-2","chart":"tracing","heritage":"Tiller","maistra-version":"1.1.0","maistra.io/owner":"istio-system","release":"istio"},"name":"jaeger","namespace":"istio-system","ownerReferences":[{"apiVersion":"maistra.io/v1","blockOwnerDeletion":true,"controller":true,"kind":"ServiceMeshControlPlane","name":"basic-install","uid":"75c41112-f2d1-439a-ac99-729e30b5b133"}]},"spec":{"affinity":{"nodeAffinity":{"preferredDuringSchedulingIgnoredDuringExecution":[{"preference":{"matchExpressions":[{"key":"beta.kubernetes.io/arch","operator":"In","values":["amd64"]}]},"weight":2},{"preference":{"matchExpressions":[{"key":"beta.kubernetes.io/arch","operator":"In","values":["ppc64le"]}]},"weight":2},{"preference":{"matchExpressions":[{"key":"beta.kubernetes.io/arch","operator":"In","values":["s390x"]}]},"weight":2}],"requiredDuringSchedulingIgnoredDuringExecution":{"nodeSelectorTerms":[{"matchExpressions":[{"key":"beta.kubernetes.io/arch","operator":"In","values":["amd64","ppc64le","s390x"]}]}]}}},"agent":{"annotations":null},"collector":{"annotations":null},"ingress":{"annotations":null,"enabled":true,"openshift":{"htpasswdFile":"/etc/proxy/htpasswd/auth","sar":"{\"namespace\": \"istio-system\", \"resource\": \"pods\", \"verb\": \"get\"}"},"security":"oauth-proxy"},"query":{"annotations":null,"options":{"query":{"base-path":"/"}}},"resources":{"limits":null,"requests":{"cpu":"10m","memory":"128Mi"}},"storage":{"elasticsearch":{"nodeCount":3,"nodeSelector":null,"resources":{"requests":{"cpu":"1","memory":"16Gi"}}},"type":"elasticsearch"},"strategy":"production","volumeMounts":[{"mountPath":"/etc/proxy/htpasswd","name":"secret-htpasswd"}],"volumes":[{"name":"secret-htpasswd","secret":{"secretName":"htpasswd"}}]}}
      maistra.io/mesh-generation: 1.1.0-12.el8-2
    creationTimestamp: "2020-04-17T08:26:57Z"
    generation: 7
    labels:
      app.kubernetes.io/component: tracing
      app.kubernetes.io/instance: istio-system
      app.kubernetes.io/managed-by: maistra-istio-operator
      app.kubernetes.io/name: tracing
      app.kubernetes.io/part-of: istio
      app.kubernetes.io/version: 1.1.0-12.el8-2
      chart: tracing
      heritage: Tiller
      jaegertracing.io/operated-by: openshift-operators.jaeger-operator
      maistra-version: 1.1.0
      maistra.io/owner: istio-system
      release: istio
    name: jaeger
    namespace: istio-system
    ownerReferences:
    - apiVersion: maistra.io/v1
      blockOwnerDeletion: true
      controller: true
      kind: ServiceMeshControlPlane
      name: basic-install
      uid: 75c41112-f2d1-439a-ac99-729e30b5b133
    resourceVersion: "18280600"
    selfLink: /apis/jaegertracing.io/v1/namespaces/istio-system/jaegers/jaeger
    uid: f5f0f63b-fb4c-403e-9227-5ca0bec7893a
  spec:
    affinity:
      nodeAffinity:
        preferredDuringSchedulingIgnoredDuringExecution:
        - preference:
            matchExpressions:
            - key: beta.kubernetes.io/arch
              operator: In
              values:
              - amd64
          weight: 2
        - preference:
            matchExpressions:
            - key: beta.kubernetes.io/arch
              operator: In
              values:
              - ppc64le
          weight: 2
        - preference:
            matchExpressions:
            - key: beta.kubernetes.io/arch
              operator: In
              values:
              - s390x
          weight: 2
        requiredDuringSchedulingIgnoredDuringExecution:
          nodeSelectorTerms:
          - matchExpressions:
            - key: beta.kubernetes.io/arch
              operator: In
              values:
              - amd64
              - ppc64le
              - s390x
    agent:
      options: {}
      resources: {}
    allInOne:
      options: {}
      resources: {}
    collector:
      options: {}
      replicas: 1
      resources: {}
    ingester:
      options: {}
      resources: {}
    ingress:
      enabled: true
      openshift:
        htpasswdFile: /etc/proxy/htpasswd/auth
        sar: '{"namespace": "istio-system", "resource": "pods", "verb": "get"}'
      options: {}
      resources: {}
      security: oauth-proxy
    query:
      options:
        query:
          base-path: /
      replicas: 1
      resources: {}
    resources:
      requests:
        cpu: 10m
        memory: 128Mi
    sampling:
      options: {}
    storage:
      cassandraCreateSchema: {}
      dependencies:
        image: jaegertracing/spark-dependencies
        resources: {}
        schedule: 55 23 * * *
      elasticsearch:
        nodeCount: 1
        redundancyPolicy: ZeroRedundancy
        resources:
          requests:
            memory: 1Gi
        storage: {}
      esIndexCleaner:
        enabled: true
        image: registry.redhat.io/distributed-tracing/jaeger-es-index-cleaner-rhel7:1.13.1
        numberOfDays: 7
        resources: {}
        schedule: 55 23 * * *
      esRollover:
        image: jaegertracing/jaeger-es-rollover:1.13.1
        resources: {}
        schedule: '*/30 * * * *'
      options: {}
      type: elasticsearch
    strategy: production
    ui:
      options:
        dependencies:
          menuEnabled: false
        menu:
        - items:
          - label: Documentation
            url: https://www.jaegertracing.io/docs/latest
          label: About
        - anchorTarget: _self
          label: Log Out
          url: /oauth/sign_in
    volumeMounts:
    - mountPath: /etc/proxy/htpasswd
      name: secret-htpasswd
    volumes:
    - name: secret-htpasswd
      secret:
        defaultMode: 420
        secretName: htpasswd
  status:
    phase: ""
    version: 1.17.1
kind: List
metadata:
  resourceVersion: ""
  selfLink: ""
